%define name         aalib
%define version      1.2
%define major        1
%define libname      libaa
%define release      13mdk

Summary: AA (Ascii Art) library
Summary(fr): bibliothque AA (Ascii Art)
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	libgpm-devel
BuildRequires:	libslang-devel
Source0: http://prdownloads.sourceforge.net/aa-project/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
Prefix: /usr
Url: http://aa-project.sourceforge.net/aalib/

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

%package -n %{libname}%{major}
Summary: AA (Ascii Art) library
Group: System/Libraries
Provides: %{name}
Obsoletes: %{name}

%description -n %{libname}%{major}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

%package -n %{libname}%{major}-devel
Summary: Header files and libraries for developing apps which will use %{name}.
Group: Development/C
Requires: %{libname}%{major} = %{version}
Provides: %{libname}-devel, %{name}-devel
Obsoletes: %{name}-devel

%description -n %{libname}%{major}-devel
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install the %{libname}%{major}-devel package if you want to develop applications that
will use the %{name} library.

%prep

%setup -q

# update automake/autoconf stuff to fix build with recent libtool -jgarzik
libtoolize --automake -f
aclocal
automake -a -c
autoconf
autoheader


%build
CFLAGS="$RPM_OPT_FLAGS -I%{prefix}/include/slang" LDFLAGS="-s" \
   %configure
#--prefix=$RPM_BUILD_ROOT%{prefix}
make CFLAGS="$RPM_OPT_FLAGS  -I%{_includedir}/slang -I%{_includedir}"

%install
%makeinstall

rm -f $RPM_BUILD_ROOT%{_infodir}/dir*

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}%{major} -p /sbin/ldconfig

%post -n %{libname}%{major}-devel
%_install_info %{name}.info 

%postun -n %{libname}%{major} -p /sbin/ldconfig

%preun -n %{libname}%{major}-devel
%_remove_install_info %{name}.info 

%files -n %{libname}%{major}
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*a
%{_bindir}/*
%{_infodir}/*.*
%{_includedir}/*

%changelog
* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu. 1.2-13mdk
- BuildRequires
- fixed URL
- Copyright --> License

* Sat Jun 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.2-12mdk
- run libtoolize/autoconf/automake/aclocal/etc. in %%prep
  to fix build with latest libtool

* Sat Feb 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-11mdk
- apply spec patch from Abel <doglist@linuxhall.org>

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-10mdk
- Correct info installation
- Remove french description

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2-9mdk
- automatically added BuildRequires


* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-8mdk
- BM
- make rpmlint happier

* Fri Mar 10 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- rebuilt for 7.1

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use _tmppath in Buildroot

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Install info files
- Don't include the dir file
- Split the packages into two packages

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the Summary to be more meaningfull

* Tue Jul 9 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in the spec that garbage the french description

* Tue Jul 06 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new library needed for GIMP
